The NetBSD Project

CVS log for pkgsrc/mk/apache.mk

[BACK] Up to [cvs.NetBSD.org] / pkgsrc / mk

Request diff between arbitrary revisions


Default branch: MAIN


Revision 1.31 / (download) - annotate - [select for diffs], Mon Jan 1 10:23:09 2018 UTC (14 months, 2 weeks ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2018Q4-base, pkgsrc-2018Q4, pkgsrc-2018Q3-base, pkgsrc-2018Q3, pkgsrc-2018Q2-base, pkgsrc-2018Q2, pkgsrc-2018Q1-base, pkgsrc-2018Q1, HEAD
Changes since 1.30: +4 -8 lines
Diff to previous 1.30 (colored)

apache22: remove, it was eol'd in June 2017

Remove packages that only work with apache22.
Remove apache22 references.

Revision 1.30 / (download) - annotate - [select for diffs], Sat Mar 11 18:29:24 2017 UTC (2 years ago) by maya
Branch: MAIN
CVS Tags: pkgsrc-2017Q4-base, pkgsrc-2017Q4, pkgsrc-2017Q3-base, pkgsrc-2017Q3, pkgsrc-2017Q2-base, pkgsrc-2017Q2, pkgsrc-2017Q1-base, pkgsrc-2017Q1, pkgsrc-
Changes since 1.29: +2 -2 lines
Diff to previous 1.29 (colored)

default to apache24 (not 22)

Revision 1.29 / (download) - annotate - [select for diffs], Fri Jul 4 21:20:52 2014 UTC (4 years, 8 months ago) by dholland
Branch: MAIN
CVS Tags: pkgsrc-2016Q4-base, pkgsrc-2016Q4, pkgsrc-2016Q3-base, pkgsrc-2016Q3, pkgsrc-2016Q2-base, pkgsrc-2016Q2, pkgsrc-2016Q1-base, pkgsrc-2016Q1, pkgsrc-2015Q4-base, pkgsrc-2015Q4, pkgsrc-2015Q3-base, pkgsrc-2015Q3, pkgsrc-2015Q2-base, pkgsrc-2015Q2, pkgsrc-2015Q1-base, pkgsrc-2015Q1, pkgsrc-2014Q4-base, pkgsrc-2014Q4, pkgsrc-2014Q3-base, pkgsrc-2014Q3
Changes since 1.28: +3 -2 lines
Diff to previous 1.28 (colored)

Generate a correct error message, instead of referring to a variable
that gets changed on the next line.

Revision 1.28 / (download) - annotate - [select for diffs], Tue Jun 10 15:22:13 2014 UTC (4 years, 9 months ago) by joerg
Branch: MAIN
CVS Tags: pkgsrc-2014Q2-base, pkgsrc-2014Q2
Changes since 1.27: +8 -19 lines
Diff to previous 1.27 (colored)

Retire Apache 1.3 and 2.0.

Revision 1.27 / (download) - annotate - [select for diffs], Sat Apr 14 12:58:19 2012 UTC (6 years, 11 months ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2014Q1-base, pkgsrc-2014Q1, pkgsrc-2013Q4-base, pkgsrc-2013Q4, pkgsrc-2013Q3-base, pkgsrc-2013Q3, pkgsrc-2013Q2-base, pkgsrc-2013Q2, pkgsrc-2013Q1-base, pkgsrc-2013Q1, pkgsrc-2012Q4-base, pkgsrc-2012Q4, pkgsrc-2012Q3-base, pkgsrc-2012Q3, pkgsrc-2012Q2-base, pkgsrc-2012Q2
Changes since 1.26: +10 -6 lines
Diff to previous 1.26 (colored)

Added support for apache24

Revision 1.26 / (download) - annotate - [select for diffs], Sat Mar 12 14:07:13 2011 UTC (8 years ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2012Q1-base, pkgsrc-2012Q1, pkgsrc-2011Q4-base, pkgsrc-2011Q4, pkgsrc-2011Q3-base, pkgsrc-2011Q3, pkgsrc-2011Q2-base, pkgsrc-2011Q2, pkgsrc-2011Q1-base, pkgsrc-2011Q1
Changes since 1.25: +5 -1 lines
Diff to previous 1.25 (colored)

Add MULTI variable, and add it to BUILD_DEFS, to more easily find
variable settings affecting binary packages.

From Aleksey Cheusov in PR 44695.

Revision 1.25 / (download) - annotate - [select for diffs], Mon Dec 17 22:09:58 2007 UTC (11 years, 3 months ago) by tron
Branch: MAIN
CVS Tags: pkgsrc-2010Q4-base, pkgsrc-2010Q4, pkgsrc-2010Q3-base, pkgsrc-2010Q3, pkgsrc-2010Q2-base, pkgsrc-2010Q2, pkgsrc-2010Q1-base, pkgsrc-2010Q1, pkgsrc-2009Q4-base, pkgsrc-2009Q4, pkgsrc-2009Q3-base, pkgsrc-2009Q3, pkgsrc-2009Q2-base, pkgsrc-2009Q2, pkgsrc-2009Q1-base, pkgsrc-2009Q1, pkgsrc-2008Q4-base, pkgsrc-2008Q4, pkgsrc-2008Q3-base, pkgsrc-2008Q3, pkgsrc-2008Q2-base, pkgsrc-2008Q2, pkgsrc-2008Q1-base, pkgsrc-2008Q1, pkgsrc-2007Q4-base, pkgsrc-2007Q4, cwrapper, cube-native-xorg-base, cube-native-xorg
Changes since 1.24: +2 -2 lines
Diff to previous 1.24 (colored)

Make Apache 2.2.x the default as discussed on "tech-pkg" mailing list.

Revision 1.24 / (download) - annotate - [select for diffs], Wed Oct 17 10:43:36 2007 UTC (11 years, 5 months ago) by rillig
Branch: MAIN
Changes since 1.23: +2 -2 lines
Diff to previous 1.23 (colored)

Made the .include lines simpler.

Revision 1.23 / (download) - annotate - [select for diffs], Mon Aug 13 09:31:43 2007 UTC (11 years, 7 months ago) by rillig
Branch: MAIN
CVS Tags: pkgsrc-2007Q3-base, pkgsrc-2007Q3
Changes since 1.22: +2 -2 lines
Diff to previous 1.22 (colored)

APACHE_PKG_PREFIX can be ap22.

Revision 1.22 / (download) - annotate - [select for diffs], Fri May 11 08:35:52 2007 UTC (11 years, 10 months ago) by rillig
Branch: MAIN
CVS Tags: pkgsrc-2007Q2-base, pkgsrc-2007Q2
Changes since 1.21: +4 -4 lines
Diff to previous 1.21 (colored)

PKGBASE must not include a backslash.

Revision 1.21 / (download) - annotate - [select for diffs], Wed May 9 19:56:18 2007 UTC (11 years, 10 months ago) by joerg
Branch: MAIN
Changes since 1.20: +2 -2 lines
Diff to previous 1.20 (colored)

Fix prefix for Apache 2.2 packages.

Revision 1.20 / (download) - annotate - [select for diffs], Mon May 7 09:32:29 2007 UTC (11 years, 10 months ago) by rillig
Branch: MAIN
Changes since 1.19: +6 -1 lines
Diff to previous 1.19 (colored)

Added variable descriptions.

Revision 1.19 / (download) - annotate - [select for diffs], Wed Jan 24 19:48:44 2007 UTC (12 years, 1 month ago) by epg
Branch: MAIN
CVS Tags: pkgsrc-2007Q1-base, pkgsrc-2007Q1, jlam-pkgviews-base, jlam-pkgviews
Changes since 1.18: +4 -3 lines
Diff to previous 1.18 (colored)

Oops, this was meant to go in with the rest of the apr changes.
Use devel/apr0 for apache2 and devel/apr and devel/apr-util for apache22.

Revision 1.18 / (download) - annotate - [select for diffs], Sat Dec 9 08:24:10 2006 UTC (12 years, 3 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2006Q4-base, pkgsrc-2006Q4
Changes since 1.17: +2 -2 lines
Diff to previous 1.17 (colored)

".else if" -> ".elif", from David A. Holland in PR 35218.

Revision 1.17 / (download) - annotate - [select for diffs], Fri Dec 8 23:58:46 2006 UTC (12 years, 3 months ago) by xtraeme
Branch: MAIN
Changes since 1.16: +2 -2 lines
Diff to previous 1.16 (colored)

tyop

Revision 1.16 / (download) - annotate - [select for diffs], Fri Dec 8 23:33:15 2006 UTC (12 years, 3 months ago) by xtraeme
Branch: MAIN
Changes since 1.15: +10 -4 lines
Diff to previous 1.15 (colored)

apache.mk now knows about apache22, available for PKG_APACHE_DEFAULT.

Revision 1.15 / (download) - annotate - [select for diffs], Thu Nov 9 02:05:08 2006 UTC (12 years, 4 months ago) by rillig
Branch: MAIN
Changes since 1.14: +2 -2 lines
Diff to previous 1.14 (colored)

Added BUILD_DEFS_EFFECTS.

Revision 1.14 / (download) - annotate - [select for diffs], Sat Oct 14 01:09:45 2006 UTC (12 years, 5 months ago) by rillig
Branch: MAIN
Changes since 1.13: +105 -33 lines
Diff to previous 1.13 (colored)

Completely rewrote apache.mk and apachever.mk. The latter is now an
alias for apache.mk, since I don't see a reason why a package should
query the apache version without also adding a dependency on apache.

Fixed the documentation to match the code. Made the code simpler. Added
sanity checks for both package-settable and user-settable variables.

Revision 1.13 / (download) - annotate - [select for diffs], Mon Jul 10 17:11:32 2006 UTC (12 years, 8 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2006Q3-base, pkgsrc-2006Q3
Changes since 1.12: +2 -2 lines
Diff to previous 1.12 (colored)

Remove reference to buildlink2.

Revision 1.6.4.3, Wed Jun 7 15:25:38 2006 UTC (12 years, 9 months ago) by tv
Branch: tv-derecurse
Changes since 1.6.4.2: +1 -1 lines
FILE REMOVED

EOL the tv-derecurse branch; it has become too outdated.  The last live
revision can be fetched at the tv-derecurse-eol tag.

Revision 1.12 / (download) - annotate - [select for diffs], Fri Jun 2 18:27:57 2006 UTC (12 years, 9 months ago) by joerg
Branch: MAIN
CVS Tags: pkgsrc-2006Q2-base, pkgsrc-2006Q2
Changes since 1.11: +2 -94 lines
Diff to previous 1.11 (colored)

Rename all PHP 4 packages to php4-*, all PHP 5 packages to php5-*,
all PEAR packages to php?-pear-* and all Apache packages to ap13-* or
ap2-* respectively. Add new variables to simplify the Makefile
handling. Add CONFLICTS on the old names. Reset revisions of bumped
packages. ap-php will now depend on the default Apache and PHP version.
All programs using it have an implicit option of the Apache version
as well.

OK from jlam@ and adrianp@.

Revision 1.11 / (download) - annotate - [select for diffs], Tue May 9 10:05:04 2006 UTC (12 years, 10 months ago) by tron
Branch: MAIN
Changes since 1.10: +2 -2 lines
Diff to previous 1.10 (colored)

Make the "apache2" package the default. Apache 1.3.x is very outdated.

Revision 1.10 / (download) - annotate - [select for diffs], Thu Apr 6 06:23:05 2006 UTC (12 years, 11 months ago) by reed
Branch: MAIN
Changes since 1.9: +3 -3 lines
Diff to previous 1.9 (colored)

Over 1200 files touched but no revisions bumped :)

RECOMMENDED is removed. It becomes ABI_DEPENDS.

BUILDLINK_RECOMMENDED.foo becomes BUILDLINK_ABI_DEPENDS.foo.

BUILDLINK_DEPENDS.foo becomes BUILDLINK_API_DEPENDS.foo.

BUILDLINK_DEPENDS does not change.

IGNORE_RECOMMENDED (which defaulted to "no") becomes USE_ABI_DEPENDS
which defaults to "yes".

Added to obsolete.mk checking for IGNORE_RECOMMENDED.

I did not manually go through and fix any aesthetic tab/spacing issues.

I have tested the above patch on DragonFly building and packaging
subversion and pkglint and their many dependencies.

I have also tested USE_ABI_DEPENDS=no on my NetBSD workstation (where I
have used IGNORE_RECOMMENDED for a long time). I have been an active user
of IGNORE_RECOMMENDED since it was available.

As suggested, I removed the documentation sentences suggesting bumping for
"security" issues.

As discussed on tech-pkg.

I will commit to revbump, pkglint, pkg_install, createbuildlink separately.

Note that if you use wip, it will fail!  I will commit to pkgsrc-wip
later (within day).

Revision 1.6.4.2 / (download) - annotate - [select for diffs], Tue May 17 18:29:44 2005 UTC (13 years, 10 months ago) by tv
Branch: tv-derecurse
CVS Tags: tv-derecurse-eol
Changes since 1.6.4.1: +4 -20 lines
Diff to previous 1.6.4.1 (colored) to branchpoint 1.6 (colored)

sync [all but bsd.pkg.mk] with HEAD

Revision 1.9 / (download) - annotate - [select for diffs], Thu Apr 21 23:05:41 2005 UTC (13 years, 11 months ago) by sketch
Branch: MAIN
CVS Tags: tv-derecurse-merge, pkgsrc-2006Q1-base, pkgsrc-2006Q1, pkgsrc-2005Q4-base, pkgsrc-2005Q4, pkgsrc-2005Q3-base, pkgsrc-2005Q3, pkgsrc-2005Q2-base, pkgsrc-2005Q2
Changes since 1.8: +2 -2 lines
Diff to previous 1.8 (colored)

Fix typo.

Revision 1.8 / (download) - annotate - [select for diffs], Thu Mar 24 17:46:00 2005 UTC (13 years, 11 months ago) by tv
Branch: MAIN
Changes since 1.7: +3 -19 lines
Diff to previous 1.7 (colored)

USE_BUILDLINK3 is no longer optional (and cannot be turned off).  Per mail
to tech-pkg:

=====

* USE_BUILDLINK3=YES will be unconditional.  (In fact, USE_BUILDLINK3 will
  be ignored altogether by mk/; but see below.)

* NO_BUILDLINK and NO_WRAPPER will be ignored by mk/.  If a build happens,
  these phases will happen.

* The existing NO_BUILD will imply the previous NO_BUILDLINK and NO_WRAPPER.
  If no build happens, those phases are not needed.

* NO_TOOLS will be ignored by mk/.  The tools phase, which provides much
  more than just the C compiler, will always happen regardless of package.
  This will make metapackage builds only slightly slower, in trade for far
  less user error.

Revision 1.6.4.1 / (download) - annotate - [select for diffs], Mon Jan 10 16:15:25 2005 UTC (14 years, 2 months ago) by tv
Branch: tv-derecurse
Changes since 1.6: +3 -7 lines
Diff to previous 1.6 (colored)

sync with HEAD

Revision 1.7 / (download) - annotate - [select for diffs], Mon Jan 3 13:20:28 2005 UTC (14 years, 2 months ago) by seb
Branch: MAIN
CVS Tags: tv-derecurse-base, pkgsrc-2005Q1-base, pkgsrc-2005Q1
Changes since 1.6: +3 -7 lines
Diff to previous 1.6 (colored)

Apache6 package was removed on 2004/11/22: remove code to support it in
mk/apache.mk and references to it in mk/defaults/mk.conf.

It is now only referenced in some CONFLICTS specifications and some
dependencies specifications (for www/ap-dav and www/ap-jserv; should theses be
removed too?)

Revision 1.6 / (download) - annotate - [select for diffs], Tue Jul 6 22:49:16 2004 UTC (14 years, 8 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2004Q4-base, pkgsrc-2004Q4, pkgsrc-2004Q3-base, pkgsrc-2004Q3
Branch point for: tv-derecurse
Changes since 1.5: +1 -7 lines
Diff to previous 1.5 (colored)

Retire buildlink2, now that all packages using it have been converted to
buildlink3.

Revision 1.3.2.1 / (download) - annotate - [select for diffs], Fri Dec 12 11:44:05 2003 UTC (15 years, 3 months ago) by agc
Branch: pkgsrc-2003Q4
Changes since 1.3: +2 -2 lines
Diff to previous 1.3 (colored) next main 1.4 (colored)

Pullup a typo fix to the pkgsrc-2003Q4 branch, requested by Grant Beattie.

	Module Name:    pkgsrc
	Committed By:   grant
	Date:           Thu Dec 11 13:51:28 UTC 2003

	Modified Files:
		pkgsrc/mk: apache.mk

	Log Message:
	add missing }.

	from Aidan Kehoe in PR pkg/23676.

Revision 1.5 / (download) - annotate - [select for diffs], Thu Dec 11 13:51:28 2003 UTC (15 years, 3 months ago) by grant
Branch: MAIN
CVS Tags: pkgsrc-2004Q2-base, pkgsrc-2004Q2, pkgsrc-2004Q1-base, pkgsrc-2004Q1
Changes since 1.4: +2 -2 lines
Diff to previous 1.4 (colored)

add missing }.

from Aidan Kehoe in PR pkg/23676.

Revision 1.4 / (download) - annotate - [select for diffs], Tue Nov 25 11:42:09 2003 UTC (15 years, 3 months ago) by jlam
Branch: MAIN
Changes since 1.3: +18 -10 lines
Diff to previous 1.3 (colored)

Support buildlink3.

Revision 1.3 / (download) - annotate - [select for diffs], Fri Nov 21 07:04:43 2003 UTC (15 years, 4 months ago) by grant
Branch: MAIN
CVS Tags: pkgsrc-2003Q4-base
Branch point for: pkgsrc-2003Q4
Changes since 1.2: +6 -3 lines
Diff to previous 1.2 (colored)

apache6 has no buildlink2.mk as it is handled automagically by
apache/buildlink2.mk, so include that instead.

makes this actually work with apache6.

Revision 1.2 / (download) - annotate - [select for diffs], Sun Oct 19 07:46:50 2003 UTC (15 years, 5 months ago) by grant
Branch: MAIN
Changes since 1.1: +27 -27 lines
Diff to previous 1.1 (colored)

style/whitespace fixes

Revision 1.1 / (download) - annotate - [select for diffs], Thu Sep 4 03:00:19 2003 UTC (15 years, 6 months ago) by erh
Branch: MAIN

Add an apache.mk, similar to java-vm.mk and emacs.mk, that allows apache
modules that will work with more than one version of the apache web server
to not require a separate package for each version of apache.  This was
originally based on java-vm.mk
	Makefile variables added:
		PKG_APACHE_ACCEPTED : Contains the list of valid versions of apache.
		USE_APR : If set, the package required apr to run.
	User variabled added:
		PKG_APACHE_DEFAULT : The version of apache to install, if there is
		                     none yet.  Defaults to apache13
	Variables set:
		PKG_APACHE : Which version of apache is being used.

This form allows you to request diff's between any two revisions of a file. You may select a symbolic revision name using the selection box or you may type in a numeric name using the type-in text box.




CVSweb <webmaster@jp.NetBSD.org>